Upstream information

CVE-2017-18237 at MITRE

Description

An issue was discovered in Exempi before 2.4.3. The PostScript_Support::ConvertToDate function in XMPFiles/source/FormatSupport/PostScript_Support.cpp allows remote attackers to cause a denial of service (invalid pointer dereference and application crash) via a crafted .ps file.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 3.3
Vector CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1085590 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 exempi Not affected
SUSE Linux Enterprise Desktop 15 SP5 exempi Not affected
SUSE Linux Enterprise Desktop 15 SP6 exempi Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 exempi Not affected
SUSE Linux Enterprise High Performance Computing 15 SP6 exempi Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP5 exempi Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP6 exempi Not affected
SUSE Linux Enterprise Real Time 15 SP3 exempi Not affected
SUSE Linux Enterprise Server 12 SP5 exempi Affected
SUSE Linux Enterprise Server 12-LTSS exempi Unsupported
SUSE Linux Enterprise Server 15 SP5 exempi Not affected
SUSE Linux Enterprise Server 15 SP6 exempi Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 exempi Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 exempi Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 exempi Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP6 exempi Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 exempi Affected
SUSE Manager Proxy 4.3 exempi Not affected
SUSE Manager Retail Branch Server 4.3 exempi Not affected
SUSE Manager Server 4.3 exempi Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 exempi Not affected
SUSE Linux Enterprise High Performance Computing 15 exempi Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 exempi Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS exempi Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS exempi Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 exempi Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS exempi Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS exempi Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 exempi Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS exempi Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS exempi Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 exempi Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS exempi Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS exempi Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS exempi Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS exempi Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 exempi Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 exempi Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 exempi Not affected
SUSE Linux Enterprise Server 15 SP2 exempi Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS exempi Not affected
SUSE Linux Enterprise Server 15 SP3 exempi Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS exempi Not affected
SUSE Linux Enterprise Server 15 SP4 exempi Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS exempi Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 exempi Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 exempi Not affected
SUSE Linux Enterprise Server for SAP Applications 15 exempi Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 exempi Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 exempi Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 exempi Not affected
SUSE OpenStack Cloud 8 exempi Affected
SUSE OpenStack Cloud 9 exempi Affected
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 exempi Affected
SUSE CaaS Platform 4.0 exempi Not affected
SUSE CaaS Platform 4.5 exempi Not affected
SUSE Enterprise Storage 6 exempi Not affected
SUSE Enterprise Storage 7 exempi Not affected
SUSE Linux Enterprise Desktop 11 SP4 exempi Not affected
SUSE Linux Enterprise Desktop 12 exempi Affected
SUSE Linux Enterprise Desktop 12 SP1 exempi Affected
SUSE Linux Enterprise Desktop 12 SP2 exempi Unsupported
SUSE Linux Enterprise Desktop 12 SP3 exempi Unsupported
SUSE Linux Enterprise Desktop 12 SP4 exempi Affected
SUSE Linux Enterprise Desktop 15 exempi Not affected
SUSE Linux Enterprise Desktop 15 SP1 exempi Not affected
SUSE Linux Enterprise Desktop 15 SP2 exempi Not affected
SUSE Linux Enterprise Desktop 15 SP3 exempi Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 exempi Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 exempi Not affected
SUSE Linux Enterprise Real Time 15 SP2 exempi Not affected
SUSE Linux Enterprise Real Time 15 SP4 exempi Not affected
SUSE Linux Enterprise Server 11 SP1 exempi Not affected
SUSE Linux Enterprise Server 11 SP3 exempi Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS exempi Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS exempi Not affected
SUSE Linux Enterprise Server 11 SP4 exempi Not affected
SUSE Linux Enterprise Server 11 SP4-LTSS exempi Not affected
SUSE Linux Enterprise Server 12 exempi Affected
SUSE Linux Enterprise Server 12 SP1 exempi Affected
SUSE Linux Enterprise Server 12 SP1-LTSS exempi Unsupported
SUSE Linux Enterprise Server 12 SP2 exempi Affected
SUSE Linux Enterprise Server 12 SP2-BCL exempi Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS exempi Affected
SUSE Linux Enterprise Server 12 SP2-LTSS exempi Affected
SUSE Linux Enterprise Server 12 SP3 exempi Unsupported
SUSE Linux Enterprise Server 12 SP3-BCL exempi Unsupported
SUSE Linux Enterprise Server 12 SP3-ESPOS exempi Affected
SUSE Linux Enterprise Server 12 SP3-LTSS exempi Affected
SUSE Linux Enterprise Server 12 SP4 exempi Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS exempi Affected
SUSE Linux Enterprise Server 12 SP4-LTSS exempi Affected
SUSE Linux Enterprise Server 15 exempi Not affected
SUSE Linux Enterprise Server 15 SP1 exempi Not affected
SUSE Linux Enterprise Server 15 SP1-BCL exempi Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS exempi Not affected
SUSE Linux Enterprise Server 15 SP2-BCL exempi Not affected
SUSE Linux Enterprise Server 15 SP3-BCL exempi Not affected
SUSE Linux Enterprise Server 15-LTSS exempi Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 exempi Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 exempi Not affected
SUSE Linux Enterprise Server for SAP Applications 12 exempi Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 exempi Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 exempi Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 exempi Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP4 exempi Affected
SUSE Linux Enterprise Software Development Kit 11 SP4 exempi Not affected
SUSE Linux Enterprise Software Development Kit 12 exempi Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 exempi Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 exempi Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP3 exempi Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP4 exempi Affected
SUSE Manager Proxy 4.0 exempi Not affected
SUSE Manager Proxy 4.1 exempi Not affected
SUSE Manager Proxy 4.2 exempi Not affected
SUSE Manager Retail Branch Server 4.0 exempi Not affected
SUSE Manager Retail Branch Server 4.1 exempi Not affected
SUSE Manager Retail Branch Server 4.2 exempi Not affected
SUSE Manager Server 4.0 exempi Not affected
SUSE Manager Server 4.1 exempi Not affected
SUSE Manager Server 4.2 exempi Not affected
SUSE OpenStack Cloud 7 exempi Affected
SUSE OpenStack Cloud Crowbar 8 exempi Affected
SUSE OpenStack Cloud Crowbar 9 exempi Affected


SUSE Timeline for this CVE

CVE page created: Thu Mar 15 20:51:48 2018
CVE page last modified: Fri Apr 19 17:50:15 2024